#include<reg52.h>      //包含52系列单片机头文件
#define uchar unsigned char   //为宏定义，把unsigned char用uchar表示，方便书写
#define uint unsigned int      //为宏定义，把unsigned int用uint表示，方便书写
sbit dula=P2^6;    //U1锁存器的锁存端位定义
sbit wela=P2^7;    //U2锁存器的锁存端位定义
uchar num;
uchar code table[]={0x3f,0x06,0x5b,0x4f,0x66,0x6d,0x7d,0x07,0x7f,0x6f,0x77,0x7c,
					0x39,0x5e,0x79,0x71};  //数码管真值表编码
void delay(uint);  //delay函数声明
void main()
{
	while(1)
	{
		for(num=0;num<16;num++)  //16个数循环显示
		{			
			P0=table[num];  //送入段选编码
			dula=1;
			dula=0;
			P0=0XC0;  //送入位选信号，同时点亮6个数码管
			wela=1;
			wela=0;
			delay (1000);	
		}		
	}		
}

void delay(uint x)  //延时函数
{
	uint i,j;
	for(i=x;i>0;i--)
		{
		for(j=120;j>0;j--);
		}		
}